Skip to main content

Get customers

GET /v1/public/customers

Lists merchant-specific customer records. Use email for exact lookup or search for a case-insensitive name or email match.

Authorization

X-API-Key required with the customers:read scope

Parameters

NameLocationTypeRequiredDescription
cursorquerystringNoOpaque nextCursor returned by the previous list request. Do not construct or modify it.
limitqueryintegerNoMaximum resources to return.
emailquerystring (email)NoFilter by an exact email address.
searchquerystringNoSearch names and email addresses.

Request example

curl -X GET "https://api.remyrewards.co.uk/v1/public/customers?limit=25" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses

StatusDescription
200Customers retrieved.
400The request is missing a required value or contains invalid data.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
429A rate or concurrency limit was exceeded.

Success response example

{
"success": true,
"data": [],
"pagination": {
"limit": 25,
"hasMore": false,
"nextCursor": null
}
}